
#include <Wire.h>
#include <Octopus.h>
#include <EEPROM.h>

//octopus output
#define basePin 0
#define shoulderPin 1
#define elbowPin 2
#define wristPin 3
#define gripperPin 4

int durata =15;
int frequenza = 45;
int gradi_servo = 180;
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
void setup(void)
{    
  Wire.begin();
  Wire.setClock(100000);
  Octopus.setPWMFreq(frequenza);
}
//***************************************************************************************************************
 
void loop(void)
{
  int i;
  for (i=50; i<130; i++){
    Octopus.analogWrite(gripperPin, to(i));  
    delay(durata); 
  }
   
  for (i=130; i>50; i--){
    Octopus.analogWrite(gripperPin, to(i)); 
    delay(durata); 
  }
}

uint16_t to(int gradi)
{
  float ms_min; 
  float ms_max;
  float ms_gradi;
  float valore_PWM;

  ms_min = 120; //Rappresenta il valore PWM pari a 1 ms (posizione 0°)
  ms_max = 470; //Rappresenta il valore PWM pari a 1 ms (posizione 180°)
  ms_gradi = (ms_max - ms_min) / gradi_servo;
  valore_PWM = ms_min + (ms_gradi * gradi);
  return (valore_PWM);
}


